Package org.apache.calcite.avatica.remote

# Enum MetaDataOperation

java.lang.Object
java.lang.Enum<MetaDataOperation>
org.apache.calcite.avatica.remote.MetaDataOperation

All Implemented Interfaces:
  `Serializable`, `Comparable<MetaDataOperation>`, `java.lang.constant.Constable`

public enum MetaDataOperation extends Enum<MetaDataOperation>
Identifies an operation from `DatabaseMetaData` which returns a `ResultSet`. This enum is used to allow clients to request the server to re-instantiate a `ResultSet` for these operations which do not have a SQL string associated with them as a normal query does.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`GET_ATTRIBUTES`
`GET_BEST_ROW_IDENTIFIER`
`GET_CATALOGS`
`GET_CLIENT_INFO_PROPERTIES`
`GET_COLUMN_PRIVILEGES`
`GET_COLUMNS`
`GET_CROSS_REFERENCE`
`GET_EXPORTED_KEYS`
`GET_FUNCTION_COLUMNS`
`GET_FUNCTIONS`
`GET_IMPORTED_KEYS`
`GET_INDEX_INFO`
`GET_PRIMARY_KEYS`
`GET_PROCEDURE_COLUMNS`
`GET_PROCEDURES`
`GET_PSEUDO_COLUMNS`
`GET_SCHEMAS`
`GET_SCHEMAS_WITH_ARGS`
`GET_SUPER_TABLES`
`GET_SUPER_TYPES`
`GET_TABLE_PRIVILEGES`
`GET_TABLE_TYPES`
`GET_TABLES`
`GET_TYPE_INFO`
`GET_UDTS`
`GET_VERSION_COLUMNS`

## Method Summary

Modifier and Type
Method
Description
`static MetaDataOperation`
`fromProto(org.apache.calcite.avatica.proto.Common.MetaDataOperation protoOp)`
`org.apache.calcite.avatica.proto.Common.MetaDataOperation`
`toProto()`
`static MetaDataOperation`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static MetaDataOperation[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### GET_ATTRIBUTES

public static final MetaDataOperation GET_ATTRIBUTES

### GET_BEST_ROW_IDENTIFIER

public static final MetaDataOperation GET_BEST_ROW_IDENTIFIER

### GET_CATALOGS

public static final MetaDataOperation GET_CATALOGS

### GET_CLIENT_INFO_PROPERTIES

public static final MetaDataOperation GET_CLIENT_INFO_PROPERTIES

### GET_COLUMN_PRIVILEGES

public static final MetaDataOperation GET_COLUMN_PRIVILEGES

### GET_COLUMNS

public static final MetaDataOperation GET_COLUMNS

### GET_CROSS_REFERENCE

public static final MetaDataOperation GET_CROSS_REFERENCE

### GET_EXPORTED_KEYS

public static final MetaDataOperation GET_EXPORTED_KEYS

### GET_FUNCTION_COLUMNS

public static final MetaDataOperation GET_FUNCTION_COLUMNS

### GET_FUNCTIONS

public static final MetaDataOperation GET_FUNCTIONS

### GET_IMPORTED_KEYS

public static final MetaDataOperation GET_IMPORTED_KEYS

### GET_INDEX_INFO

public static final MetaDataOperation GET_INDEX_INFO

### GET_PRIMARY_KEYS

public static final MetaDataOperation GET_PRIMARY_KEYS

### GET_PROCEDURE_COLUMNS

public static final MetaDataOperation GET_PROCEDURE_COLUMNS

### GET_PROCEDURES

public static final MetaDataOperation GET_PROCEDURES

### GET_PSEUDO_COLUMNS

public static final MetaDataOperation GET_PSEUDO_COLUMNS

### GET_SCHEMAS

public static final MetaDataOperation GET_SCHEMAS

### GET_SCHEMAS_WITH_ARGS

public static final MetaDataOperation GET_SCHEMAS_WITH_ARGS

### GET_SUPER_TABLES

public static final MetaDataOperation GET_SUPER_TABLES

### GET_SUPER_TYPES

public static final MetaDataOperation GET_SUPER_TYPES

### GET_TABLE_PRIVILEGES

public static final MetaDataOperation GET_TABLE_PRIVILEGES

### GET_TABLES

public static final MetaDataOperation GET_TABLES

### GET_TABLE_TYPES

public static final MetaDataOperation GET_TABLE_TYPES

### GET_TYPE_INFO

public static final MetaDataOperation GET_TYPE_INFO

### GET_UDTS

public static final MetaDataOperation GET_UDTS

### GET_VERSION_COLUMNS

public static final MetaDataOperation GET_VERSION_COLUMNS

## Method Details

### values

public static MetaDataOperation[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static MetaDataOperation valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toProto

public org.apache.calcite.avatica.proto.Common.MetaDataOperation toProto()

### fromProto

public static MetaDataOperation fromProto(org.apache.calcite.avatica.proto.Common.MetaDataOperation protoOp)